Bug 788911 - bluetooth mysteriously stopped after resume
bluetooth mysteriously stopped after resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-09 04:08 EST by john.haxby@oracle.com
Modified: 2013-02-13 07:25 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:25:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description john.haxby@oracle.com 2012-02-09 04:08:09 EST
Description of problem:

This is almost identical to bug 727106.  A bluetooth mouse does not come back when resuming unless I "systemctl restart bluetooth.service".  However, I don't think this is necessarily related to bluez.

In /var/log/messages I have this (these messages are just after resume):

bluetoothd[21224]: HCI dev 0 down
bluetoothd[21224]: Adapter /org/bluez/21224/hci0 has been disabled
bluetoothd[21224]: HCI dev 0 unregistered
bluetoothd[21224]: Stopping hci0 event socket
bluetoothd[21224]: Unregister path: /org/bluez/21224/hci0
bluetoothd[21224]: bluetoothd[21224]: HCI dev 0 down
bluetoothd[21224]: bluetoothd[21224]: Adapter /org/bluez/21224/hci0 has been disabled
bluetoothd[21224]: bluetoothd[21224]: HCI dev 0 unregistered
bluetoothd[21224]: bluetoothd[21224]: Stopping hci0 event socket
bluetoothd[21224]: bluetoothd[21224]: Unregister path: /org/bluez/21224/hci0
kernel: [96046.601889] Restarting tasks ... done.

systemd[1]: Service bluetooth.target is not needed anymore. Stopping.

bluetoothd[21224]: HCI dev 0 registered
bluetoothd[21224]: bluetoothd[21224]: HCI dev 0 registered
bluetoothd[21224]: Listening for HCI events on hci0
bluetoothd[21224]: bluetoothd[21224]: Listening for HCI events on hci0
bluetoothd[21224]: HCI dev 0 up
bluetoothd[21224]: bluetoothd[21224]: HCI dev 0 up

I've isolated the systemd[1] line to highlight it.  It looks a little as though bluetoothd doesn't realise that the adapter has gone down until the system starts coming up but equally, I suppose it could be that these messages were just queued for syslog (they all have exactly the same timestamp).

It does look as though systemd is a little premature here: immediately after declaring that bluetooth.target is no longer needed, bluetoothd spots an adapter coming up.   However, nothing more is logged until I manually restart
the blutooth service.

Version-Release number of selected component (if applicable):
  systemd-37-11.fc16.x86_64
  bluez-4.96-3.fc16.x86_64
  kernel-3.2.3-2.fc16.x86_64

(I've put all three of these just in case, but I've had this problem for quite a long time, since F15 in fact, and I have only just got to the stage where I'm fed up of it.)


How reproducible: Always


Steps to Reproduce:
1. Configure a bluetooth mouse
2. Suspend
3. Resume
  
Actual results:
  Bluetooth mouse no longer working until "systemctl restart bluetooth.service".

Expected results:
 Bluetooth mouse works without manual intervention.

Additional info:
Comment 1 Richard Guest 2012-06-07 17:28:38 EDT
I've just migrated to a new laptop and am being plagued by this bug.

I wonder if systemd is picking up on a btusb device disconnect
Comment 2 Jóhann B. Guðmundsson 2012-08-08 03:21:43 EDT
Moving this against bluez-util package it will just be bounced back by the bluetooth maintainer if this truly is an systemd issue
Comment 3 Fedora End Of Life 2013-01-16 07:13:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 James 2013-01-16 14:46:52 EST
I think this is still present in Fedora 18 (maybe for certain hardware types). After a suspend/resume cycle, bluetooth either:

 - does not come back (i.e., no B icon in GNOME panel); or
 - the B icon is crossed out.

bluetoothd appears to be running, but it's like GNOME seems unable to connect to it. Sometimes re-plugging the dongle works (0a12:0001).

kernel-3.7.2-201.fc18.x86_64
gnome-panel-3.6.2-2.fc18.x86_64
bluez-4.101-5.fc18.x86_64
systemd-195-15.fc18.x86_64
Comment 5 Fedora End Of Life 2013-02-13 07:25:35 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.